<?php
class SlideshowIdWasAddedToSlidesAndFixedFieldTypesOnTheCreatedAndModifiedFieldsInSlideshows extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'slideshow_id_was_added_to_slides_and_fixed_field_types_on_the_created_and_modified_fields_in_slideshows';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_slideshow_slides' => array(
					'slideshow_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'after' => 'id'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_slideshow_slides' => array('slideshow_id'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
